Name:           xmlstreambuffer
Version:        2.1.0
Release:        %mkrel 3
Group:          Development/Java
Summary:        Stream Based Representation for XML Infoset
License:        BSD
URL:            https://github.com/eclipse-ee4j/metro-xmlstreambuffer
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        %{url}/archive/%{version}/metro-xmlstreambuffer-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.jvnet.staxex:stax-ex)
BuildRequires:  mvn(junit:junit)

%description
Stream based representation for XML infoset.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n metro-xmlstreambuffer-%{version}

pushd streambuffer

%pom_remove_parent

%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin

%pom_remove_dep :woodstox-core
popd

%build
pushd streambuffer
%mvn_build
popd

%install
pushd streambuffer
%mvn_install
popd

%files -f streambuffer/.mfiles
%license LICENSE.md NOTICE.md
%doc CONTRIBUTING.md README.md

%files javadoc -f streambuffer/.mfiles-javadoc
%license LICENSE.md NOTICE.md


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.1.0-3.mga10
+ Revision: 2223866
- Mageia 10 Mass Rebuild

* Mon May 27 2024 ns80 <ns80> 2.1.0-2.mga10
+ Revision: 2067995
- rebuild for java 21

* Thu Sep 14 2023 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 1986656
- Update to upstream version 2.1.0

* Thu Aug 11 2022 neoclust <neoclust> 1.5.10-1.mga9
+ Revision: 1876986
- New version 1.5.10
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 1.5.9-1.mga8
+ Revision: 1621602
- Update to version 1.5.9
- Allow building on JDK 11 and correct license tag
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1.5.4-8.mga8
+ Revision: 1501301
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.5.4-7.mga7
+ Revision: 1277290
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 1.5.4-6.mga6
+ Revision: 1103381
- Fix BuildRequires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.5.4-4.mga6
+ Revision: 978238
- First rebuild of the java stack
- sync package xmlstreambuffer with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 daviddavid <daviddavid> 1.5.4-1.mga6
+ Revision: 844648
- sync with fc23 (update to 1.5.4)
- fix javadoc subpackage

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-7.mga5
+ Revision: 748954
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ dmorgan <dmorgan>
- Fix Build

* Mon Oct 21 2013 umeabot <umeabot> 1.5.1-4.mga4
+ Revision: 537846
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.5.1-3.mga4
+ Revision: 487987
- imported package xmlstreambuffer


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 29 2013 gil cattaneo <puntogil@libero.it> 1.5.1-2
- switch to XMvn, minor changes to adapt to current guideline

* Tue Oct 30 2012 gil cattaneo <puntogil@libero.it> 1.5.1-1
- update to 1.5.1

* Wed Oct 03 2012 gil cattaneo <puntogil@libero.it> 1.5-1
- update to 1.5

* Sat Mar 31 2012 gil cattaneo <puntogil@libero.it> 1.4-1
- initial rpm
